Skip to main content
POST
Edit

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1
dropId
string
required
Minimum string length: 1

Body

application/json
requestId
string
required
Required string length: 1 - 200
instruction
string
required
Required string length: 1 - 10000
targetCreativeIds
string[]
required
Required array length: 1 - 30 elements
Required string length: 1 - 300
references
object[]
Maximum array length: 20
expectedCreativeRevisionIds
object
formatAdaptation
object

Response

202 - application/json

Success

dropId
string
required
Required string length: 1 - 300
runId
string
required
Required string length: 1 - 300
requestId
string
required
Required string length: 1 - 200
status
enum<string>
required
Available options:
QUEUED,
RUNNING,
NEEDS_CONFIRMATION,
DELIVERED,
PARTIAL,
FAILED,
CANCELLED
targets
object[]
required
Maximum array length: 30
contextPath
string